<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('Employees', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('Users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->foreign('position_id')->references('id')->on('positions')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->foreign('manager_id')->references('id')->on('Users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->foreign('seniormanager_id')->references('id')->on('Users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->foreign('divhead_id')->references('id')->on('Users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->foreign('recruiter_id')->references('id')->on('Users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('audit_logs', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('Users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('files', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('Users')
						->onDelete('no action')
						->onUpdate('no action');
		});
	}

	public function down()
	{
		Schema::table('Employees', function(Blueprint $table) {
			$table->dropForeign('Employees_user_id_foreign');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->dropForeign('Employees_position_id_foreign');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->dropForeign('Employees_manager_id_foreign');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->dropForeign('Employees_seniormanager_id_foreign');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->dropForeign('Employees_divhead_id_foreign');
		});
		Schema::table('Employees', function(Blueprint $table) {
			$table->dropForeign('Employees_recruiter_id_foreign');
		});
		Schema::table('audit_logs', function(Blueprint $table) {
			$table->dropForeign('audit_logs_user_id_foreign');
		});
		Schema::table('files', function(Blueprint $table) {
			$table->dropForeign('files_user_id_foreign');
		});
	}
}